<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Configuration_StoreSettings.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Configuration_Configuration_StoreSettings" Theme="default" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>E-commerce Configuration - Store settings</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
            width: 100%;
            overflow: hidden;
        }
    </style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="VerticalTabsPageBody">
            <asp:Panel runat="server" ID="pnlHeader" SkinID="PageHeader">
                <uc1:PageTitle runat="server" ID="PageTitle" />
            </asp:Panel>
            <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top">               
                    <tr>
                        <td class="FieldLabel"><asp:Label runat="server" ID="lblDefaultCountry" EnableViewState="false" /></td>
                        <td><cc1:LocalizedDropDownList ID="drpCountry" runat="server" DataTextField="CountryDisplayName" DataValueField="CountryID" CssClass="DropDownField"></cc1:LocalizedDropDownList></td>
                    </tr>                    
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblEmailFrom" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtEmailFrom" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblEmailTo" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtEmailTo" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                    </tr>  
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblShippingFreeLimit" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtShippingFreeLimit" runat="server" SkinID="TextboxField" MaxLength="10" />
                            <asp:RangeValidator ID="rvShippingFreeLimit" runat="server" ControlToValidate="txtShippingFreeLimit" MaximumValue="9999999999" MinimumValue="0"
                                Type="Double" Display="Dynamic" ValidationGroup="Internal"></asp:RangeValidator></td>
                    </tr>                                       
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAllowAnonymous" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkAllowAnonymous" runat="server" SkinID="CheckBoxMovedLeft" Checked="false" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblOrganizationID" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkOrganizationID" runat="server" SkinID="CheckBoxMovedLeft" Checked="false" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblTaxRegistrationID" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkTaxRegistrationID" runat="server" SkinID="CheckBoxMovedLeft" Checked="false" /></td>
                    </tr>                                                                               
                    <tr>
                        <td>&nbsp;
                        </td>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                SkinID="ContentButton" ValidationGroup="Internal" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
