CREATE TABLE [CMS_EmailTemplate] (
		[EmailTemplateID]              int NOT NULL IDENTITY(1, 1),
		[EmailTemplateName]            nvarchar(200) NOT NULL,
		[EmailTemplateDisplayName]     nvarchar(200) NOT NULL,
		[EmailTemplateText]            ntext NOT NULL,
		[EmailTemplateSiteID]          int NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_EmailTemplate]
	ADD
	CONSTRAINT [PK__CMS_EmailTemplat__403A8C7D]
	PRIMARY KEY
	([EmailTemplateID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_EmailTemplate]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Email__Email__412EB0B6]') IS NULL
BEGIN
		ALTER TABLE [CMS_EmailTemplate]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Email__Email__412EB0B6]
			FOREIGN KEY ([EmailTemplateSiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_EmailTemplate]
	ON [CMS_EmailTemplate] ([EmailTemplateDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EmailTemplate_1]
	ON [CMS_EmailTemplate] ([EmailTemplateName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EmailTemplate_2]
	ON [CMS_EmailTemplate] ([EmailTemplateSiteID])
	ON [PRIMARY]
