CREATE TABLE [CMS_WebFarmServerTask] (
		[ServerID]         int NOT NULL,
		[TaskID]           int NOT NULL,
		[ErrorMessage]     ntext NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_WebFarmServerTask]
	ADD
	CONSTRAINT [PK__CMS_WebFarmServe__3864608B]
	PRIMARY KEY
	([ServerID], [TaskID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_WebFarmServerTask]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_WebFarmServer]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_WebFa__Serve__395884C4]') IS NULL
BEGIN
		ALTER TABLE [CMS_WebFarmServerTask]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_WebFa__Serve__395884C4]
			FOREIGN KEY ([ServerID]) REFERENCES [CMS_WebFarmServer] ([ServerID])
			NOT FOR REPLICATION
END
