CREATE VIEW View_COM_Customer_Joined
AS
SELECT     COM_Customer.CustomerID, COM_Customer.CustomerFirstName, COM_Customer.CustomerLastName, 
                      COM_Customer.CustomerEmail, COM_Customer.CustomerPhone, COM_Customer.CustomerFax, COM_Customer.CustomerCompany, 
                      COM_Customer.CustomerUserID, COM_Customer.CustomerPreferredCurrencyID, COM_Customer.CustomerPreferredShippingOptionID, 
                      COM_Customer.CustomerCountryID, COM_Customer.CustomerEnabled, COM_Customer.CustomerPrefferedPaymentOptionID, 
                      COM_Customer.CustomerStateID, COM_Customer.CustomerGUID, COM_Customer.CustomerTaxRegistrationID, 
                      COM_Customer.CustomerOrganizationID, CMS_Country.CountryID, CMS_Country.CountryDisplayName, CMS_Country.CountryName, 
                      CMS_State.StateID, CMS_State.StateDisplayName, CMS_State.StateName, CMS_State.StateCode, 
                      CMS_State.CountryID AS Expr1
FROM         COM_Customer LEFT OUTER JOIN
                      CMS_Country ON CMS_Country.CountryID = COM_Customer.CustomerCountryID LEFT OUTER JOIN
                      CMS_State ON CMS_State.StateID = COM_Customer.CustomerStateID
