<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CMSCalendar.aspx.cs" Inherits="CMSControlsExamples_CMSCalendar"
    Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CMSCalendar example</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body>
    <form id="Form2" method="post" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="CMSCalendar example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <div style="width: 100%; border: solid 1px #CCCCCC;">
                    <table style="margin-left: auto; margin-right: auto; text-align: center;">
                        <tr>
                            <td style="padding: 35px;">
                                <cc1:CMSCalendar ID="CMSCalendar1" runat="server" Width="528px" NextMonthText="Next"
                                    NextPrevFormat="ShortMonth" DayField="NewsReleaseDate" ClassNames="CMS.News"
                                    TransformationName="cms.news.calendarevent" NoEventTransformationName="cms.news.calendarnoevent"
                                    Path="/%">
                                    <NextPrevStyle ForeColor="Blue"></NextPrevStyle>
                                    <WeekendDayStyle BackColor="#E0E0E0"></WeekendDayStyle>
                                    <DayHeaderStyle BackColor="#8080FF"></DayHeaderStyle>
                                    <TitleStyle Font-Bold="True" ForeColor="White" BackColor="Red"></TitleStyle>
                                    <TodayDayStyle BackColor="#FFC080"></TodayDayStyle>
                                    <OtherMonthDayStyle BackColor="Gray"></OtherMonthDayStyle>
                                </cc1:CMSCalendar>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
