using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.CMSHelper;

public partial class CMSTemplates_CorporateSiteASPX_controls : TemplatePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.menu.MenuItemImageUrl = "~/app_themes/green/Images/Blue/arrowrightsmall.gif";
        this.menu.MenuItemOpenImageUrl = "~/app_themes/green/Images/Blue/arrowrightsmall.gif";

        this.controlsMenu.MenuItemImageUrl = "~/app_themes/green/Images/Blue/arrowrightsmall.gif";
        this.controlsMenu.MenuItemOpenImageUrl = "~/app_themes/green/Images/Blue/arrowrightsmall.gif";

        if (CMSContext.CurrentPageInfo.ClassName.ToLower() != "cms.menuitem")
        {
            this.wpcBreadCrumbs.ContainerName = "Gradient.LightBlue";
        }


        string path = CMSContext.CurrentAliasPath;
        string url = "";

        if (path.ToLower().Contains("/basiccalendar"))
        {
            url = "ControlsExamples/BasicCalendar.aspx";
        }

        if (path.ToLower().Contains("/basicdatagrid"))
        {
            url = "ControlsExamples/BasicDatagrid.aspx";
        }

        if (path.ToLower().Contains("/basicdatalist"))
        {
            url = "ControlsExamples/BasicDataList.aspx";
        }

        if (path.ToLower().Contains("/basicmulticolumntable"))
        {
            url = "ControlsExamples/BasicMultiColumnTable.aspx";
        }

        if (path.ToLower().Contains("/basicrepeater"))
        {
            url = "ControlsExamples/BasicRepeater.aspx";
            contentFrame.Attributes.Add("onload", "this.style.height='1000px'");
        }

        if (path.ToLower().Contains("/basictabcontrol"))
        {
            url = "ControlsExamples/BasicTabControl.aspx";
        }

        if (path.ToLower().Contains("/cmsbreadcrumbs"))
        {
            url = "ControlsExamples/CMSBreadcrumbs.aspx";
        }

        if (path.ToLower().Contains("/cmscalendar"))
        {
            url = "ControlsExamples/CMSCalendar.aspx";
        }

        if (path.ToLower().Contains("/cmsdatagrid"))
        {
            url = "ControlsExamples/CMSDatagrid.aspx";
        }

        if (path.ToLower().Contains("/cmsdatalist"))
        {
            url = "ControlsExamples/CMSDataList.aspx";
        }

        if (path.ToLower().Contains("/cmsdocumentcomparison"))
        {
            url = "ControlsExamples/CMSDocumentComparison.aspx";
        }


        if (path.ToLower().Contains("/cmslistmenu"))
        {
            url = "ControlsExamples/CMSListMenu.aspx";
            contentFrame.Attributes.Add("onload", "this.style.height='1100px'");
        }

        if (path.ToLower().Contains("/cmsmenu"))
        {
            url = "ControlsExamples/CMSMenu.aspx";
        }

        if (path.ToLower().Contains("/cmsrepeater"))
        {
            url = "ControlsExamples/CMSRepeater.aspx";
        }

        if (path.ToLower().Contains("/cmssearch"))
        {
            url = "ControlsExamples/CMSSearch.aspx";
        }

        if (path.ToLower().Contains("/cmssitemap"))
        {
            url = "ControlsExamples/CMSSiteMap.aspx";
            contentFrame.Attributes.Add("onload", "this.style.height='700px'");
        }

        if (path.ToLower().Contains("/cmstabcontrol"))
        {
            url = "ControlsExamples/CMSTabControl.aspx";
        }

        if (path.ToLower().Contains("/cmstreemenu"))
        {
            url = "ControlsExamples/CMSTreeMenu.aspx";
        }

        if (path.ToLower().Contains("/cmsviewer"))
        {
            url = "ControlsExamples/CMSViewer.aspx";
        }

        if (path.ToLower().Contains("/datapager"))
        {
            url = "ControlsExamples/DataPager.aspx";
        }

        if (path.ToLower().Contains("/querydatagrid"))
        {
            url = "ControlsExamples/QueryDataGrid.aspx";
        }

        if (path.ToLower().Contains("/querydatalist"))
        {
            url = "ControlsExamples/QueryDataList.aspx";
        }

        if (path.ToLower().Contains("/queryrepeater"))
        {
            url = "ControlsExamples/QueryRepeater.aspx";
        }

        if (path.ToLower().Contains("/templateddatapager"))
        {
            url = "ControlsExamples/TemplatedDataPager.aspx";
        }

        if (url != "")
        {
            url = ResolveUrl(url);
            contentFrame.Attributes.Add("src", url);
        }

    }
}
