<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Order_List.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Orders_Order_List"
    Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="~/CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Order list</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height: 100%;
		}
	</style>
</head>
<body class="<%=mBodyClass%>">

    <script type="text/javascript" language="javascript">
    if (parent.frames['ecommerceMenu'] != null) parent.frames['ecommerceMenu'].location.href = '../Header.aspx?selectedtab=0';
    </script>

    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlManufacturers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel runat="server" ID="pnlHeader" SkinID="PageHeader">
                        <uc1:PageTitle runat="server" ID="PageTitle" />
                    </asp:Panel>
                    <asp:Panel ID="pnlNewItem" runat="server" SkinID="PageHeaderLine">
                        <asp:Image ID="imgNewItem" runat="server" SkinID="NewItemImage" />
                        <asp:HyperLink ID="lnkNewItem" runat="server" SkinID="NewItemLink" NavigateUrl="Order_New.aspx"
                            EnableViewState="false" />
                    </asp:Panel>
                    <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblOrderID" runat="server"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtOrderId" runat="server" SkinID="textboxField" MaxLength="9" ></asp:TextBox>
                                    <asp:Label ID="lblErrorOrderId" runat="server" ForeColor="red" EnableViewState="false"></asp:Label>
                                    </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCustomerLastName" runat="server"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtCustomerLastName" runat="server" SkinID="textboxField"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCustomerFirstName" runat="server"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtCustomerFirstName" runat="server" SkinID="textboxField"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblStatus" runat="server"></asp:Label></td>
                                <td>
                                    <cc1:LocalizedDropDownList ID="drpStatus" runat="server" DataTextField="StatusDisplayName"
                                        DataValueField="StatusID" CssClass="DropDownField">
                                    </cc1:LocalizedDropDownList></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblSites" runat="server"></asp:Label></td>
                                <td>
                                    <asp:DropDownList ID="drpSites" runat="server" DataTextField="SiteDisplayName"
                                        DataValueField="SiteID" SkinID="DropDownField">
                                    </asp:DropDownList></td>
                            </tr>                            
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Clicked" SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                        <br />
                        <uc1:UniGrid runat="server" ID="UniGrid" GridName="Order_List.xml" OrderBy="OrderDate DESC" />
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
