CREATE TABLE [CMS_VersionAttachment] (
		[VersionHistoryID]        int NOT NULL,
		[AttachmentHistoryID]     int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_VersionAttachment]
	ADD
	CONSTRAINT [PK__CMS_VersionAttac__1F98B2C1]
	PRIMARY KEY
	([VersionHistoryID], [AttachmentHistoryID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_VersionAttachment]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_AttachmentHistory]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Versi__Attac__208CD6FA]') IS NULL
BEGIN
		ALTER TABLE [CMS_VersionAttachment]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Versi__Attac__208CD6FA]
			FOREIGN KEY ([AttachmentHistoryID]) REFERENCES [CMS_AttachmentHistory] ([AttachmentHistoryID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_VersionAttachment]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_VersionHistory]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Versi__Versi__2180FB33]') IS NULL
BEGIN
		ALTER TABLE [CMS_VersionAttachment]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Versi__Versi__2180FB33]
			FOREIGN KEY ([VersionHistoryID]) REFERENCES [CMS_VersionHistory] ([VersionHistoryID])
			NOT FOR REPLICATION
END
