CREATE TABLE [COM_DiscountLevel] (
		[DiscountLevelID]              int NOT NULL IDENTITY(1, 1),
		[DiscountLevelDisplayName]     nvarchar(200) NOT NULL,
		[DiscountLevelName]            nvarchar(100) NOT NULL,
		[DiscountLevelValue]           float NOT NULL,
		[DiscountLevelEnabled]         bit NOT NULL,
		[DiscountLevelValidFrom]       datetime NULL,
		[DiscountLevelValidTo]         datetime NULL
)
ON [PRIMARY]
ALTER TABLE [COM_DiscountLevel]
	ADD
	CONSTRAINT [PK_COM_DiscountLevel]
	PRIMARY KEY
	([DiscountLevelID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_DiscountLevel]
	ON [COM_DiscountLevel] ([DiscountLevelName])
	ON [PRIMARY]
