SET IDENTITY_INSERT [Reporting_ReportGraph] ON
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 55, N'GraphDayFileDownloads', N'{$reports_general.label_days$}', 145, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 56, N'GraphMonthFileDownloads', N'{$reports_general.label_months$}', 146, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 57, N'GraphYearFileDownloads', N'{$reports_general.label_years$}', 147, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 58, N'GraphHourFileDownloads', N'{$reports_general.label_hours$}', 148, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 59, N'GraphDayPageViews', N'{$reports_general.label_days$}', 149, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 60, N'GraphMonthPageViews', N'{$reports_general.label_months$}', 150, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 61, N'GraphYearPageViews', N'{$reports_general.label_years$}', 151, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 62, N'GraphHoursPageViews', N'{$reports_general.label_hours$}', 152, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pagenotfound.label_numoffaults$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 63, N'GraphDayPageNotFound', N'{$reports_general.label_days$}', 153, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pagenotfound.label_numoffaults$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 64, N'GraphMonthPageNotFound', N'{$reports_general.label_months$}', 154, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pagenotfound.label_numoffaults$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 65, N'GraphYearPageNotFound', N'{$reports_general.label_years$}', 155, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pagenotfound.label_numoffaults$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 66, N'GraphHourPageNotFound', N'{$reports_general.label_hours$}', 156, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_visits.label_numofvisits$}', N'bar', N'visitors', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode=@FirstCategory) OR (StatisticsCode=@SecondCategory))
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode=@FirstCategory) OR (StatisticsCode=@SecondCategory))
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 71, N'GraphDayVisitors', N'{$reports_general.label_days$}', 157, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (450, N'', N'pie', N'new and returning visitors', 300, 0, N'SELECT ''{''+''$analytics_codename.'' + StatisticsCode + ''$}'' AS Name, SUM(HitsCount) FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode = @FirstCategory) OR (StatisticsCode = @SecondCategory)) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsCode', 5, 71, N'GraphDayNewReturnVisitors', N'', 158, N'{$reports_visits.label_newandreturningvisitors$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_visits.label_numofvisits$}', N'bar', N'visitors', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 72, N'GraphMonthVisitors', N'{$reports_general.label_months$}', 159, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (450, N'', N'pie', N'new and returning visitors', 300, 0, N'SELECT ''{''+''$analytics_codename.'' + StatisticsCode + ''$}'', SUM(HitsCount) FROM Analytics_Statistics, Analytics_MonthHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode = @FirstCategory) OR (StatisticsCode = @SecondCategory)) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsCode', 5, 72, N'GraphMonthNewReturnVisitors', N'', 160, N'{$reports_visits.label_newandreturningvisitors$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_visits.label_numofvisits$}', N'bar', N'visitors', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode = @FirstCategory) OR (StatisticsCode = @SecondCategory)) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 73, N'GraphYearVisitors', N'{$reports_general.label_years$}', 161, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (450, N'', N'pie', N'new and returning visitors', 300, 0, N'SELECT ''{''+''$analytics_codename.'' + StatisticsCode + ''$}'', SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode = @FirstCategory) OR (StatisticsCode = @SecondCategory)) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsCode', 5, 73, N'GraphYearNewReturnVisitors', N'', 162, N'{$reports_visits.label_newandreturningvisitors$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_visits.label_numofvisits$}', N'bar', N'visitors', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode=@FirstCategory) OR (StatisticsCode=@SecondCategory))AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 74, N'GraphHourVisitors', N'{$reports_general.label_hours$}', 163, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (450, N'', N'pie', N'new and returning visitors', 300, 0, N'SELECT ''{''+''$analytics_codename.'' + StatisticsCode + ''$}'', SUM(HitsCount) FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND ((StatisticsCode = @FirstCategory) OR (StatisticsCode = @SecondCategory)) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsCode', 5, 74, N'GraphHourNewReturnVisitors', N'', 164, N'{$reports_visits.label_newandreturningvisitors$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 86, N'GraphDayFileDownloadsCulture', N'{$reports_general.label_days$}', 171, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_DayHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', 5, 86, N'GraphPieDayFileDownloadsCulture', N'', 172, N'{$reports_filedownloadscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 87, N'GraphMonthFileDownloadsCulture', N'{$reports_general.label_months$}', 173, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_MonthHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', 5, 87, N'GraphPieMonthFileDownloadsCulture', N'', 174, N'{$reports_filedownloadscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 88, N'GraphYearFileDownloadsCulture', N'{$reports_general.label_years$}', 175, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_YearHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', -1, 88, N'GraphPieYearFileDownloadsCulture', N'', 176, N'{$reports_filedownloadscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_filedownloads.label_numofdownloads$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 89, N'GraphHourFileDownloadsCulture', N'{$reports_general.label_hours$}', 177, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_HourHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount)', 5, 89, N'GraphPieHourFileDownloadsCulture', N'', 178, N'{$reports_filedownloadscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 90, N'GraphDayPageViewsCulture', N'{$reports_general.label_days$}', 179, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_DayHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', 5, 90, N'GraphPieDayPageViewsCulture', N'', 180, N'{$reports_pageviewscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 91, N'GraphMonthPageViewsCulture', N'{$reports_general.label_months$}', 181, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_MonthHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', 5, 91, N'GraphPieMonthPageViewsCulture', N'', 182, N'{$reports_pageviewscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 92, N'GraphYearPageViewsCulture', N'{$reports_general.label_years$}', 183, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_YearHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount) DESC', 5, 92, N'GraphPieYearPageViewsCulture', N'', 184, N'{$reports_pageviewscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_pageviews.label_numofpageviews$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 93, N'GraphHourPageViewsCulture', N'{$reports_general.label_hours$}', 185, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (500, N'', N'pie', N'graph pie', 350, 0, N'SELECT StatisticsObjectCulture, SUM(HitsCount) FROM 
Analytics_Statistics, Analytics_HourHits, View_CMS_Tree_Joined WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (StatisticsObjectID = NodeID) AND (StatisticsObjectCulture = DocumentCulture) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY StatisticsObjectCulture ORDER BY SUM(HitsCount)', 5, 93, N'GraphPieHourPageViewsCulture', N'', 186, N'{$reports_pageviewscult.piechart_caption$}')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_campaign.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 94, N'GraphDayCampaign', N'{$reports_general.label_days$}', 187, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_campaign.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 95, N'GraphMonthCampaign', N'{$reports_general.label_months$}', 188, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_campaign.label_num$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 96, N'GraphYearCampaign', N'{$reports_general.label_years$}', 189, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_campaign.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 97, N'GraphHourCampaign', N'{$reports_general.label_hours$}', 190, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_conversion.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE ((IndexID >= @FromDayFirst) AND (IndexID <=@ToDayFirst))
GROUP BY IndexID
UNION ALL
SELECT IndexID, SUM(T1.HitsCount)
FROM Analytics_Index 
LEFT JOIN (
SELECT DATENAME(day,HitsStartTime) AS days, HitsStartTime, HitsEndTime, HitsCount
FROM Analytics_Statistics, Analytics_DayHits
WHERE
 (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName)
 AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate)
 AND (HitsEndTime <= @ToDate)
) AS T1 ON Analytics_Index.IndexID=T1.days
WHERE (IndexID <= @ToDaySecond)
GROUP BY IndexID', -1, 98, N'GraphDayConversion', N'{$reports_general.label_days$}', 191, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_conversion.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexMonthName, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(month,HitsStartTime) AS months, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_DayHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(month,HitsStartTime)) AS T1
ON Analytics_Index.IndexMonthName=T1.months WHERE (IndexID>=1) AND (IndexID<=12)
ORDER BY IndexID', -1, 99, N'GraphMonthConversion', N'{$reports_general.label_months$}', 192, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_conversion.label_num$}', N'bar', N'graph', 300, 0, N'SELECT DATENAME(year,HitsStartTime), SUM(HitsCount) FROM Analytics_Statistics, Analytics_YearHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(year,HitsStartTime)
ORDER BY MIN(HitsStartTime)', -1, 100, N'GraphYearConversion', N'{$reports_general.label_years$}', 193, N'')
INSERT INTO [Reporting_ReportGraph] ([GraphWidth], [GraphYAxisTitle], [GraphType], [GraphDisplayName], [GraphHeight], [GraphQueryIsStoredProcedure], [GraphQuery], [GraphLegendPosition], [GraphReportID], [GraphName], [GraphXAxisTitle], [GraphID], [GraphTitle]) VALUES (700, N'{$reports_conversion.label_num$}', N'bar', N'graph', 300, 0, N'SELECT IndexZero, T1.hits
FROM Analytics_Index LEFT JOIN
(SELECT DATENAME(hour,HitsStartTime) AS hours, SUM(HitsCount) AS hits FROM Analytics_Statistics, Analytics_HourHits WHERE (StatisticsSiteID = @CMSContextCurrentSiteID) AND (StatisticsCode=@CodeName) AND (StatisticsID = HitsStatisticsID) AND (HitsStartTime >= @FromDate) AND (HitsEndTime <= @ToDate) GROUP BY DATENAME(hour,HitsStartTime)) AS T1
ON Analytics_Index.IndexZero=T1.hours WHERE (IndexZero>=0) AND (IndexZero<24) ORDER BY IndexZero', -1, 101, N'GraphHourConversion', N'{$reports_general.label_hours$}', 194, N'')
SET IDENTITY_INSERT [Reporting_ReportGraph] OFF
