CREATE TABLE [Polls_Poll] (
		[PollID]                       int NOT NULL IDENTITY(1, 1),
		[PollCodeName]                 nvarchar(200) NOT NULL,
		[PollDisplayName]              nvarchar(200) NOT NULL,
		[PollTitle]                    nvarchar(100) NULL,
		[PollOpenFrom]                 datetime NULL,
		[PollOpenTo]                   datetime NULL,
		[PollAllowMultipleAnswers]     bit NOT NULL,
		[PollQuestion]                 nvarchar(450) NOT NULL,
		[PollAccess]                   int NOT NULL,
		[PollResponseMessage]          nvarchar(450) NULL
)
ON [PRIMARY]
ALTER TABLE [Polls_Poll]
	ADD
	CONSTRAINT [PK_Polls_Poll]
	PRIMARY KEY
	([PollID])
	ON [PRIMARY]
CREATE UNIQUE INDEX [IX_Polls_Poll_CodeName]
	ON [Polls_Poll] ([PollCodeName])
	ON [PRIMARY]
