CREATE VIEW View_Node_Document
AS
SELECT     CMS_Tree.NodeID, CMS_Document.DocumentID, CMS_Tree.NodeSiteID, CMS_Tree.NodeClassID
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Document.DocumentNodeID = CMS_Tree.NodeID
WHERE     (CMS_Tree.NodeLinkedNodeID IS NULL)
UNION
SELECT     CMS_Tree_Linked.NodeID, CMS_Document_Linked.DocumentID, CMS_Tree_Linked.NodeSiteID, CMS_Tree_Linked.NodeClassID
FROM         CMS_Tree AS CMS_Tree_Linked INNER JOIN
                      CMS_Document AS CMS_Document_Linked ON CMS_Document_Linked.DocumentNodeID = CMS_Tree_Linked.NodeLinkedNodeID
WHERE     (CMS_Tree_Linked.NodeLinkedNodeID IS NOT NULL)
