CREATE PROCEDURE [proc_CMS_Forum_UpdateForumCounts]
	@ID int
AS
BEGIN
DECLARE @IsModerated bit
SET @IsModerated  = (SELECT [ForumModerated] FROM [Forums_Forum] WHERE (ForumID = @ID));
UPDATE [Forums_Forum] SET  
[ForumThreads] = (SELECT COUNT(*) FROM [Forums_ForumPost] WHERE (((([PostForumID] = @Id)AND(@IsModerated=1)AND(PostApprovedByUserID IS NOT NULL))OR(([PostForumID] = @Id)AND(@IsModerated=0))) AND PostParentID IS NULL)),
[ForumPosts] = (SELECT COUNT(*) FROM [Forums_ForumPost] WHERE ((([PostForumID] = @Id)AND(@IsModerated=1)AND(PostApprovedByUserID IS NOT NULL))OR(([PostForumID] = @Id)AND(@IsModerated=0))) ),
[ForumLastPostTime] = (SELECT TOP 1 [PostTime] FROM [Forums_ForumPost] WHERE ((([PostForumID] = @Id)AND(@IsModerated=1)AND(PostApprovedByUserID IS NOT NULL))OR(([PostForumID] = @Id)AND(@IsModerated=0))) ORDER BY PostTime DESC),
[ForumLastPostUserName] = (SELECT TOP 1 [PostUserName] FROM [Forums_ForumPost] WHERE ((([PostForumID] = @Id)AND(@IsModerated=1)AND(PostApprovedByUserID IS NOT NULL))OR(([PostForumID] = @Id)AND(@IsModerated=0))) ORDER BY PostTime DESC) WHERE [ForumID] = @ID
END
